### Method

# Adw Squeezer get_transition_type

#### Declaration [src]

    AdwSqueezerTransitionType
    adw_squeezer_get_transition_type (
      AdwSqueezer* self
    )

#### Description [src]

Gets the type of animation used for transitions between children in `self`.

Available since: | 1.0

Gets property | `Adw.Squeezer:transition-type`

#### Return value

Returns: | `AdwSqueezerTransitionType`
| The current transition type of `self`.